package cn.reghao.bnt.web.admin.security.exception;

import org.springframework.security.core.AuthenticationException;

/**
 * @author reghao
 * @date 2023-08-04 15:32:38
 */
public class AccountLoginException extends AuthenticationException {
    private final int userId;
    private final String loginId;

    public AccountLoginException(String msg, int userId, String loginId) {
        super(msg);
        this.userId = userId;
        this.loginId = loginId;
    }

    public int getUserId() {
        return userId;
    }

    public String getLoginId() {
        return loginId;
    }
}
